## org.eclipse.emf.codegen.ecore.genmodel
Enum GenResourceKind

    java.lang.Object
      java.lang.Enum<GenResourceKind>
          org.eclipse.emf.codegen.ecore.genmodel.GenResourceKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenResourceKind>, Enumerator

    public enum GenResourceKind

extends java.lang.Enum<GenResourceKind>
implements Enumerator

A representation of the literals of the enumeration 'Gen Resource Kind', and utility methods for working with them.

See Also:
  `GenModelPackage.getGenResourceKind()`

Enum Constant Summary
`BASIC_LITERAL` The 'Basic' literal object
`NONE_LITERAL` The 'None' literal object
`XMI_LITERAL` The 'XMI' literal object
`XML_LITERAL` The 'XML' literal object

Field Summary
`static int` `BASIC` The 'Basic' literal value
`static int` `NONE` The 'None' literal value
`static java.util.List<GenResourceKind>` `VALUES` A public read-only list of all the 'Gen Resource Kind' enumerators
`static int` `XMI` The 'XMI' literal value
`static int` `XML` The 'XML' literal value

Method Summary
`static GenResourceKind` `get(int value)` Returns the 'Gen Resource Kind' literal with the specified integer value
`static GenResourceKind` `get(java.lang.String literal)` Returns the 'Gen Resource Kind' literal with the specified literal value
`static GenResourceKind` `getByName(java.lang.String name)` Returns the 'Gen Resource Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenResourceKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenResourceKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final GenResourceKind NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### BASIC_LITERAL

    public static final GenResourceKind BASIC_LITERAL

  The 'Basic' literal object.

  See Also:
    `BASIC`

### XMI_LITERAL

    public static final GenResourceKind XMI_LITERAL

  The 'XMI' literal object.

  See Also:
    `XMI`

### XML_LITERAL

    public static final GenResourceKind XML_LITERAL

  The 'XML' literal object.

  See Also:
    `XML`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### BASIC

    public static final int BASIC

  The 'Basic' literal value.

  See Also:
    `BASIC_LITERAL`, Constant Field Values

### XMI

    public static final int XMI

  The 'XMI' literal value.

  See Also:
    `XMI_LITERAL`, Constant Field Values

### XML

    public static final int XML

  The 'XML' literal value.

  See Also:
    `XML_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenResourceKind> VALUES

  A public read-only list of all the 'Gen Resource Kind' enumerators.

Method Detail

### values

    public static final GenResourceKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenResourceKind c : GenResourceKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenResourceKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenResourceKind get(java.lang.String literal)

  Returns the 'Gen Resource Kind' literal with the specified literal value.

### getByName

    public static GenResourceKind getByName(java.lang.String name)

  Returns the 'Gen Resource Kind' literal with the specified name.

### get

    public static GenResourceKind get(int value)

  Returns the 'Gen Resource Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenResourceKind>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.